Package org.eclipse.e4.ui.css.core.exceptions

# Class DOMExceptionImpl

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.w3c.dom.DOMException
org.eclipse.e4.ui.css.core.exceptions.DOMExceptionImpl

All Implemented Interfaces:
  `Serializable`

public class DOMExceptionImpl extends DOMException
DOM exception implementation.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ARRAY_OUT_OF_BOUNDS`
`static final int`
`CHARSET_NOT_FIRST`
`static final int`
`CHARSET_NOT_UNIQUE`
`static final int`
`COUNTER_ERROR`
`static final int`
`EXPECTING_CHARSET_RULE`
`static final int`
`EXPECTING_FONT_FACE_RULE`
`static final int`
`EXPECTING_IMPORT_RULE`
`static final int`
`EXPECTING_MEDIA_RULE`
`static final int`
`EXPECTING_PAGE_RULE`
`static final int`
`EXPECTING_STYLE_RULE`
`static final int`
`EXPECTING_UNKNOWN_RULE`
`static final int`
`FLOAT_ERROR`
`static final int`
`IMPORT_NOT_FIRST`
`static final int`
`NO_MODIFICATION_ALLOWED_ERROR`
`static final int`
`NOT_FOUND`
`static final int`
`NOT_IMPLEMENTED`
`static final int`
`READ_ONLY_STYLE_SHEET`
`static final int`
`RECT_ERROR`
`static final int`
`RGBCOLOR_ERROR`
`static final int`
`STRING_ERROR`
`static final int`
`SYNTAX_ERROR`

### Fields inherited from class org.w3c.dom.DOMException

`code, DOMSTRING_SIZE_ERR, HIERARCHY_REQUEST_ERR, INDEX_SIZE_ERR, INUSE_ATTRIBUTE_ERR, INVALID_ACCESS_ERR, INVALID_CHARACTER_ERR, INVALID_MODIFICATION_ERR, INVALID_STATE_ERR, NAMESPACE_ERR, NO_DATA_ALLOWED_ERR, NO_MODIFICATION_ALLOWED_ERR, NOT_FOUND_ERR, NOT_SUPPORTED_ERR, SYNTAX_ERR, TYPE_MISMATCH_ERR, VALIDATION_ERR, WRONG_DOCUMENT_ERR`

## Constructor Summary

Constructors
Constructor
Description
`DOMExceptionImpl(int code, int messageKey)`
`DOMExceptionImpl(short code, int messageKey)`
`DOMExceptionImpl(short code, int messageKey, String info)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SYNTAX_ERROR

public static final int SYNTAX_ERROR

See Also:
  - Constant Field Values

### ARRAY_OUT_OF_BOUNDS

public static final int ARRAY_OUT_OF_BOUNDS

See Also:
  - Constant Field Values

### READ_ONLY_STYLE_SHEET

public static final int READ_ONLY_STYLE_SHEET

See Also:
  - Constant Field Values

### EXPECTING_UNKNOWN_RULE

public static final int EXPECTING_UNKNOWN_RULE

See Also:
  - Constant Field Values

### EXPECTING_STYLE_RULE

public static final int EXPECTING_STYLE_RULE

See Also:
  - Constant Field Values

### EXPECTING_CHARSET_RULE

public static final int EXPECTING_CHARSET_RULE

See Also:
  - Constant Field Values

### EXPECTING_IMPORT_RULE

public static final int EXPECTING_IMPORT_RULE

See Also:
  - Constant Field Values

### EXPECTING_MEDIA_RULE

public static final int EXPECTING_MEDIA_RULE

See Also:
  - Constant Field Values

### EXPECTING_FONT_FACE_RULE

public static final int EXPECTING_FONT_FACE_RULE

See Also:
  - Constant Field Values

### EXPECTING_PAGE_RULE

public static final int EXPECTING_PAGE_RULE

See Also:
  - Constant Field Values

### FLOAT_ERROR

public static final int FLOAT_ERROR

See Also:
  - Constant Field Values

### STRING_ERROR

public static final int STRING_ERROR

See Also:
  - Constant Field Values

### COUNTER_ERROR

public static final int COUNTER_ERROR

See Also:
  - Constant Field Values

### RECT_ERROR

public static final int RECT_ERROR

See Also:
  - Constant Field Values

### RGBCOLOR_ERROR

public static final int RGBCOLOR_ERROR

See Also:
  - Constant Field Values

### CHARSET_NOT_FIRST

public static final int CHARSET_NOT_FIRST

See Also:
  - Constant Field Values

### CHARSET_NOT_UNIQUE

public static final int CHARSET_NOT_UNIQUE

See Also:
  - Constant Field Values

### IMPORT_NOT_FIRST

public static final int IMPORT_NOT_FIRST

See Also:
  - Constant Field Values

### NOT_FOUND

public static final int NOT_FOUND

See Also:
  - Constant Field Values

### NOT_IMPLEMENTED

public static final int NOT_IMPLEMENTED

See Also:
  - Constant Field Values

### NO_MODIFICATION_ALLOWED_ERROR

public static final int NO_MODIFICATION_ALLOWED_ERROR

See Also:
  - Constant Field Values

## Constructor Details

### DOMExceptionImpl

public DOMExceptionImpl(short code, int messageKey)

### DOMExceptionImpl

public DOMExceptionImpl(int code, int messageKey)

### DOMExceptionImpl

public DOMExceptionImpl(short code, int messageKey, String info)